# Uses of Interface
org.eclipse.jface.fieldassist.IControlContentAdapter

Packages that use IControlContentAdapter
Package
Description
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.ui.fieldassist
Classes that provide workbench-level UI support for content assistance and common workbench field decorations.

## Uses of IControlContentAdapter in org.eclipse.jface.fieldassist

Classes in org.eclipse.jface.fieldassist that implement IControlContentAdapter
Modifier and Type
Class
Description
`class`
`ComboContentAdapter`
An `IControlContentAdapter` for SWT Combo controls.
`class`
`TextContentAdapter`
An `IControlContentAdapter` for SWT Text controls.
Methods in org.eclipse.jface.fieldassist that return IControlContentAdapter
Modifier and Type
Method
Description
`IControlContentAdapter`
ContentProposalAdapter.`getControlContentAdapter()`
Return the content adapter that can get or retrieve the text contents from the adapter's control.
Constructors in org.eclipse.jface.fieldassist with parameters of type IControlContentAdapter
Modifier
Constructor
Description
``
`AutoCompleteField(Control control, IControlContentAdapter controlContentAdapter, String... proposals)`
Construct an AutoComplete field on the specified control, whose completions are characterized by the specified array of Strings.
``
`ContentProposalAdapter(Control control, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, KeyStroke keyStroke)`
Construct a content proposal adapter that can assist the user with choosing content for the field.
``
`ContentProposalAdapter(Control control, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, KeyStroke keyStroke, char[] autoActivationCharacters)`
Construct a content proposal adapter that can assist the user with choosing content for the field.

## Uses of IControlContentAdapter in org.eclipse.ui.fieldassist

Constructors in org.eclipse.ui.fieldassist with parameters of type IControlContentAdapter
Modifier
Constructor
Description
``
`ContentAssistCommandAdapter(Control control, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, String commandId, char[] autoActivationCharacters)`
Construct a content proposal adapter that can assist the user with choosing content for the field.
``
`ContentAssistCommandAdapter(Control control, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, String commandId, char[] autoActivationCharacters, boolean installDecoration)`
Construct a content proposal adapter that can assist the user with choosing content for the field.
``
`ContentAssistField(Composite parent, int style, IControlCreator controlCreator, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, String commandId, char[] autoActivationCharacters)`
Deprecated.